#!/usr/bin/python3

from PyQt6.QtWidgets import QApplication, QMainWindow
from PyQt6.QtGui import QFont
from gui.main_window import Ui_MainWindow
from connect_gui import connect_gui


class GUI:
    def __init__(self, app):
        self.app = app

        self.qt_app = QApplication([])
        self.QTMainWindow = QMainWindow()

        self.main_window = Ui_MainWindow()

        self.setup_gui()

        self.connect_gui = connect_gui

    def setup_gui(self):
        self.main_window.setupUi(self.QTMainWindow)
        self.main_window.settingsDock.hide()

    def post_setup(self):
        self.main_window.bitsAreSquaresSetting.blockSignals(True)
        self.main_window.bitsAreSquaresSetting.setChecked(self.app.settings.square_bits)
        self.main_window.bitsAreSquaresSetting.blockSignals(False)

        self.main_window.highlightOnesSetting.setChecked(self.app.settings.highlight_ones)

        self.app.utils.update_style_in_all_bit_editors()
